package com.github.itzilly.sbt.util

import net.minecraft.util.ChatComponentText
import net.minecraft.util.ChatStyle
import net.minecraft.util.EnumChatFormatting.BLACK
import net.minecraft.util.EnumChatFormatting.DARK_BLUE
import net.minecraft.util.EnumChatFormatting.DARK_GREEN
import net.minecraft.util.EnumChatFormatting.DARK_AQUA
import net.minecraft.util.EnumChatFormatting.DARK_RED
import net.minecraft.util.EnumChatFormatting.DARK_PURPLE
import net.minecraft.util.EnumChatFormatting.GOLD
import net.minecraft.util.EnumChatFormatting.GRAY
import net.minecraft.util.EnumChatFormatting.DARK_GRAY
import net.minecraft.util.EnumChatFormatting.BLUE
import net.minecraft.util.EnumChatFormatting.GREEN
import net.minecraft.util.EnumChatFormatting.AQUA
import net.minecraft.util.EnumChatFormatting.RED
import net.minecraft.util.EnumChatFormatting.LIGHT_PURPLE
import net.minecraft.util.EnumChatFormatting.YELLOW
import net.minecraft.util.EnumChatFormatting.WHITE
import net.minecraft.util.EnumChatFormatting.OBFUSCATED
import net.minecraft.util.EnumChatFormatting.BOLD
import net.minecraft.util.EnumChatFormatting.STRIKETHROUGH
import net.minecraft.util.EnumChatFormatting.UNDERLINE
import net.minecraft.util.EnumChatFormatting.ITALIC
import net.minecraft.util.EnumChatFormatting.RESET
import net.minecraft.util.IChatComponent

class SimpleChatMsg(msg: String) {
    private var component: IChatComponent

    init {
        component = ChatComponentText(msg)
    }


    fun default(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(RESET)
        return component
    }

    fun black(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(BLACK)
        return component
    }

    fun dark_blue(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(DARK_BLUE)
        return component
    }

    fun dark_green(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(DARK_GREEN)
        return component
    }

    fun dark_aqua(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(DARK_AQUA)
        return component
    }

    fun dark_red(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(DARK_RED)
        return component
    }

    fun dark_purple(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(DARK_PURPLE)
        return component
    }

    fun gold(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(GOLD)
        return component
    }

    fun gray(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(GRAY)
        return component
    }

    fun dark_gray(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(DARK_GRAY)
        return component
    }

    fun blue(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(BLUE)
        return component
    }

    fun green(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(GREEN)
        return component
    }

    fun aqua(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(AQUA)
        return component
    }

    fun red(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(RED)
        return component
    }

    fun light_purple(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(LIGHT_PURPLE)
        return component
    }

    fun yellow(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(YELLOW)
        return component
    }

    fun white(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(WHITE)
        return component
    }

    fun obfuscated(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(OBFUSCATED)
        return component
    }

    fun bold(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(BOLD)
        return component
    }

    fun strikethrough(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(STRIKETHROUGH)
        return component
    }

    fun underline(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(UNDERLINE)
        return component
    }

    fun italic(): IChatComponent {
        component.chatStyle = ChatStyle().setColor(ITALIC)
        return component
    }
}